%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Frontend for GIO/GVFS
Name:		gigolo
Version:	0.5.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://www.uvena.de/gigolo/
Source0:	https://archive.xfce.org/src/apps/gigolo/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
Recommends:	gvfs-obexftp
Recommends:	gvfs-smb

%description
Gigolo is a frontend to easily manage connections to remote filesystems
using GIO/GVFS. It allows you to quickly connect/mount a remote filesystem
and manage bookmarks of such.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%make_install

#fix menu icon
desktop-file-edit \
	--set-icon="network-workgroup" \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog TODO NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*


%changelog
* Mon Aug 19 2019 wally <wally> 0.5.0-1.mga7
+ Revision: 1430138
- new version 0.5.0

* Thu Mar 28 2019 wally <wally> 0.4.91-1.mga7
+ Revision: 1380912
- new version 0.4.91

* Sat Oct 27 2018 wally <wally> 0.4.90-1.mga7
+ Revision: 1326190
- new version 0.4.90
- switch to gtk3

* Sun Sep 23 2018 umeabot <umeabot> 0.4.2-7.mga7
+ Revision: 1297889
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.4.2-6.mga6
+ Revision: 954070
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 wally <wally> 0.4.2-5.mga6
+ Revision: 881453
- fix %%doc files

* Fri Oct 24 2014 wally <wally> 0.4.2-4.mga5
+ Revision: 792953
- fix menu icon

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 750087
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-2.mga5
+ Revision: 679572
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Feb 04 2014 wally <wally> 0.4.2-1.mga5
+ Revision: 580945
- new version 0.4.2

* Sat Oct 19 2013 umeabot <umeabot> 0.4.1-4.git20121225.4.mga4
+ Revision: 523223
- Mageia 4 Mass Rebuild

* Sat Mar 30 2013 bersuit <bersuit> 0.4.1-4.git20121225.3.mga3
+ Revision: 406543
- Added Suggests gvfs-smb and gvfs-obexftp to fix bug 8530

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-4.git20121225.2.mga3
+ Revision: 351554
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.4.1-4.git20121225.1.mga3
+ Revision: 334889
- use latest git snapshot
- switch from waf to autotools
- clean .spec a bit

* Thu Mar 17 2011 steletch <steletch> 0.4.1-3.mga1
+ Revision: 73449
- Clean spec file
- imported package gigolo


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-3mdv2011.0
+ Revision: 633054
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-2mdv2011.0
+ Revision: 579665
- rebuild for new xfce 4.7.0

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 565050
- New version 0.4.1

* Thu Dec 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 484472
- update to new version 0.4.0

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.2-1mdv2010.0
+ Revision: 369236
- update to new version 0.3.2

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 364422
- update to new version 0.3.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-2mdv2009.1
+ Revision: 349143
- rebuild whole xfce

* Mon Feb 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1mdv2009.1
+ Revision: 344142
- update to new version 0.2.1

* Sat Feb 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0-1mdv2009.1
+ Revision: 340221
- upstream has changed name to gigolo ;)
- new version 0.2.0
- upstream has changed name

* Sun Jan 04 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.0-1mdv2009.1
+ Revision: 324335
- add missing buildrequires
- add source and spec files
- Created package structure for sion.

